#include <stdio.h>
#include "point.h"

int
main (int argc, char *argv[])
{
  Point *p;

  p = Point_new(3, (int[]){13, 42, 51});

  printf("Dimension de p = %d\nSes coordonnées sont :\n",
         Point_getDimension(p));

  for (int i = 0; i < Point_getDimension(p); i++) {
    printf("%d ", Point_get(p, i));
  }
  printf("\n");

  int vec[3] = { 13, 12, -42 };

  Point_translate(p, vec);

  printf("Nouvelles coordonnées de p après translation par (%d, %d, %d):\n",
         vec[0], vec[1], vec[2]);

  for (int i = 0; i < Point_getDimension(p); i++) {
    printf("%d ", Point_get(p, i));
  }
  printf("\n");

  return 0;
}
